Jump to content

Recommended Posts

Pessoal

 

Saiu a versão 1.6.1.0: https://www.prestashop.com/pt/baixar

 

Pelos testes que fiz com RC4 e RC5, está bem melhor, com vários bugs corrigidos, como podem ver no Changelog: https://www.prestashop.com/en/developers-versions/changelog/1.6.1.0-stable

 

Agora, claro, vamos testar antes de atualizar nossas lojas em produção.

 

Quem quiser, pode postar suas impressões e/ou sugestões neste tópico.

 

Share this post


Link to post
Share on other sites

Stable ? Somendo rindo mesmo. Ainda nao consegui fazer upgrade do clone da minha loja PS 1.6.0.11 para PS 1.6.1.0 rc5....

 

https://www.prestashop.com/forums/topic/450276-prestashop-1610-rc5-and-release-date/?do=findComment&comment=2086824

 

Nao vejo em nenhum lugar que a versao PS 1.6.1.0 já tenha sido liberada como versao oficial....

Share this post


Link to post
Share on other sites

Conny

 

Só conheço 2 endereços oficiais pra download no site do PrestaShop:

https://www.prestashop.com/pt/baixar

https://www.prestashop.com/pt/versoes-desenvolvedores

Pode escolher.

 

O fato de vc não conseguir fazer o upgrade é outra história. Provavelmente por conta do seu server.

Por aqui eu consegui fazer o upgrade normalmente nas versões RC4 e RC5.

Ainda não tive tempo pra testar a stable. Se der certo eu posto aqui.

Share this post


Link to post
Share on other sites

Hoje saiu a versao PS 1.6.1.0 oficialmente. Vc. pode atualizar a loja agora através do módulo 1-clique sem transtornos de descer uma versao em desenvolvimento. (pois a última eu nem consegui instalar. Estava retornando erro no banco de dados....)

 

Já fiz upgrade da minha loja em um clone. Além de ter outro design, nao percebi nenhuma melhoria que seja realmente necessária. Sim os bugs foram retrabalhados, mas com certeza se encontrará novos....

Share this post


Link to post
Share on other sites

Já travou aqui: 

Fatal error: Uncaught --> Smarty: Unable to load template file 'helpers/view/view_1_6_1_0.tpl' <-- thrown in /public_html/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 129

Share this post


Link to post
Share on other sites

Por favor abra um ticket no bugtacker: http://forge.prestashop.com/

 

Se estivetr usando tema próprio, vc. sempre deverá usar a opcao desativar módulos terceirizados antes de fazer um upgrade. Muitos temas vem com módulos próprios, além de mal codados....

Edited by selectshop.at (see edit history)

Share this post


Link to post
Share on other sites

 

Já travou aqui: 

Fatal error: Uncaught --> Smarty: Unable to load template file 'helpers/view/view_1_6_1_0.tpl' <-- thrown in /public_html/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 129

Possivelmente um erro de permissões.

Qual host vc utiliza? Precisou dar permissões em arquivos e pastas para instalar o PrestaShop pela primeira vez?

Share this post


Link to post
Share on other sites

Bom dia, quando faz upgrade perde todas as configurações e themas da loja? (Só pra constar sou novo aqui desculpem minha ignorância)

Share this post


Link to post
Share on other sites

Nao se perde nada. No entanto se estiver usando um tema prórpio pode ser que este nao seja compatível com a nova versao. Prestashop 1.6.1.0 já está em desenvolvimento para outro pulo no design. Se vc. está usando um tema próprio, que nao seja o default bootstrap, deverá antes de fazer o upgrade para a versao ps 1.6.1.0. desabilitar o seu tema e habilitar o tema nativo. E sim, aí vc. perderá a configuracao referente ao tema, que sao traducoes de mails que possa ter alterado, o tema em sí, os ganchos do tema e módulos do tema (se este possuír) módulos extras.

 

Em geral dentro de uma versao PS nao é necessário vc. desabilitar o seu tema próprio, somente em pulos de versao. PS 1.6.1. é uma excecao, pois já está usando uma técnica nova, que em geral Prestashop somente implementa em pulos de versao.

Share this post


Link to post
Share on other sites

PS 1.6.1.o é uma mera excecao mesmo, veja aqui porque: https://www.prestashop.com/forums/topic/445545-prestashop-the-psr-2-coding-style-guide/ e por isso dá problemas quando se faz um upgrade com tema velho. O meu continua funcionando, mas este é uma adaptacao do default bootstrap somente em cor e também adicionei algumas variáveis smarty existentes na página do produto, que o Prstashop nao usa lá (mas em outro lugar). Por isto é que nao faz problema. Os módulos nao nativos e desativei antes de fazer o upgrade, e tudo funciona sem problemas como antes com o upgrade. Fiz o upgrade da versao PS 1.6.0.11 e também 1.6.0.9 direto para 1.6.1.0. As lojas continuam rodando sem nenhum problem (mas isto porque nao usam nada de produtos terceirizados!!)

Share this post


Link to post
Share on other sites

Possivelmente um erro de permissões.

Qual host vc utiliza? Precisou dar permissões em arquivos e pastas para instalar o PrestaShop pela primeira vez?

 

Uso aws. Para instalar foi tranquilo, esse erro começou depois de instalar um módulo pago. Consertei as permissões e agora está rodando direitinho.

 

Outro aviso que está aparecendo no backoffice: Notice on line 136 in file /public_html/cache/smarty/compile/fa/3a/79/fa3a79ffc679864d023256c0d5b75485d5833fb1.file.list.tpl.php

[8] Undefined property: stdClass::$price

Share this post


Link to post
Share on other sites

O tema em uso está com erro, está usand um propriedade indefinida para o preco. O erro pode também vir de um módulo em uso que altere alguma coisa no design do template. O template file.list nao é um template nativo, por isto nao posso lhe dizer de onde vem o erro. Vc. deverá, como já escrevi mais acima, sempre desativar módulos e temas nao nativos quando faz um upgrade, para depois do upgrade ativar um por um e verificar se um deles escreve erros. Ativando um por um vc. pode identificar melhor o módulo que está provocando o erro, ou entao se o seu tema está provocando o erro.

Share this post


Link to post
Share on other sites

E esse erro como é possível resolver?

 

 

Fatal error: Uncaught --> Smarty: Unable to load template file 'helpers/view/view_1_6_1_0.tpl' <-- thrown in/home/torne146/public_html/loja2/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 129

Share this post


Link to post
Share on other sites

E esse erro como é possível resolver?

 

 

Fatal error: Uncaught --> Smarty: Unable to load template file 'helpers/view/view_1_6_1_0.tpl' <-- thrown in/home/torne146/public_html/loja2/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 129

Você está utilizando uma versão do FKcustomers incompatível com a versão 1.6.1 do Prestashop.

Share this post


Link to post
Share on other sites

E esse erro como é possível resolver?

 

 

Fatal error: Uncaught --> Smarty: Unable to load template file 'helpers/view/view_1_6_1_0.tpl' <-- thrown in/home/torne146/public_html/loja2/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 129

 

Pra resolver esse erro eu fiz o seguinte:

 

1) Crie uma copia do arquivo view_1.6.0.1.tpl em: /path/da/sua/loja/public_html/modules/fkcustomers/views/templates/admin/_configure/orders/helpers/view/view_1.6.1.4.tpl.

 

EX: copiar o arquivo:

---> /path/da/sua/loja/public_html/modules/fkcustomers/views/templates/admin/_configure/orders/helpers/view/view_1.6.0.1.tpl

para

---> /path/da/sua/loja/public_html/modules/fkcustomers/views/templates/admin/_configure/orders/helpers/view/view_1.6.1.4.tpl

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More